# ParticleBrush(bpy_struct)

base class — `bpy_struct`

class `bpy.types.``ParticleBrush`(bpy_struct)

  Particle editing brush

  `count`

    Particle count

    Type: | int in [1, 1000], default 0

  `curve`

    Type: | `CurveMapping`, (readonly)

  `length_mode`
    - `GROW` Grow, Make hairs longer.
    - `SHRINK` Shrink, Make hairs shorter.

    Type: | enum in [‘GROW’, ‘SHRINK’], default ‘GROW’

  `puff_mode`
    - `ADD` Add, Make hairs more puffy.
    - `SUB` Sub, Make hairs less puffy.

    Type: | enum in [‘ADD’, ‘SUB’], default ‘ADD’

  `size`

    Radius of the brush in pixels

    Type: | int in [1, 32767], default 0

  `steps`

    Brush steps

    Type: | int in [1, 32767], default 0

  `strength`

    Brush strength

    Type: | float in [0.001, 1], default 0.0

  `use_puff_volume`

    Apply puff to unselected end-points (helps maintain hair volume when puffing root)

    Type: | boolean, default False

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`ParticleEdit.brush` |